/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

// KDE includes
#include <klocale.h>

// WorKflow includes
#include "combobox.h"
#include "intnuminput.h"

// command includes
#include "scaleimagewidget.h"

using namespace WorKflow;

ScaleImageWidget::ScaleImageWidget(WorKflow::Command* command)
  : ScaleImageWidgetBase(0)
{
  setCommand(command);
  updateSizeInput();
}

ScaleImageWidget::~ScaleImageWidget()
{
}

void ScaleImageWidget::updateSizeInput()
{
  switch (m_modeComboBox->currentItem()) {
    case 0:  // pixels
      m_sizeInput->setSuffix(i18n("px"));
      break;
    case 1:  // percentage
      m_sizeInput->setSuffix(i18n("%"));
      break;
  }
}

#include "scaleimagewidget.moc"
