/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#include "modifyvariableservice.h"

using namespace WorKflow;

ModifyVariableService::ModifyVariableService(Command* cmd, Datatype* type, const QString& name, const QString& description)
  : Service(cmd), m_datatype(type), m_name(name), m_description(description)
{
}

ModifyVariableService::~ModifyVariableService()
{
}

QString ModifyVariableService::type() const
{
  return "modify_variable";
}

QString ModifyVariableService::name() const
{
  return m_name;
}

QString ModifyVariableService::description() const
{
  return m_description;
}

Datatype* ModifyVariableService::datatype() const
{
  return m_datatype;
}
