/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/
#ifndef MODIFYVARIABLESERVICE_H
#define MODIFYVARIABLESERVICE_H

#include "service.h"

// WorKflow includes
namespace WorKflow
{
  class Datatype;
}

/**
 * @author Thomas Kadauke <tkadauke@gmx.de>
 */
class ModifyVariableService : public WorKflow::Service
{
public:
  ModifyVariableService(WorKflow::Command* cmd, WorKflow::Datatype* type, const QString& name, const QString& description);
  ~ModifyVariableService();

  virtual QString type() const;

  WorKflow::Datatype* datatype() const;
  QString name() const;
  QString description() const;

private:
  WorKflow::Datatype* m_datatype;
  QString m_name;
  QString m_description;
};

#endif
