/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#ifndef SHOWMESSAGECOMMAND_H
#define SHOWMESSAGECOMMAND_H

#include <command.h>

/**
 * @author Thomas Kadauke
 */
class ShowMessageCommand : public WorKflow::Command
{
  Q_OBJECT
public:
  ShowMessageCommand(WorKflow::Document* parent, WorKflow::CommandDescription* description);
  ~ShowMessageCommand();

  virtual void execute();

private:
  int buttonTypeFromIndex(int index);
  int indexFromButtonType(int type);

  WorKflow::Parameter* m_message;
  WorKflow::Parameter* m_type;
  WorKflow::Parameter* m_button1;
  WorKflow::Parameter* m_button2;
  WorKflow::Parameter* m_button3;

  WorKflow::Result* m_result;
};

#endif
