/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

// KDE includes
#include <kdebug.h>

// WorKflow includes
#include "commandfactory.h"
#include "commandmanager.h"
#include "commanddescription.h"

using namespace WorKflow;

CommandFactoryBase::CommandFactoryBase(const QString& id)
{
  m_description = CommandManager::self()->commandDescription(id);
  if (!m_description) {
    kdWarning() << "no description for command \"" << id << "\" available" << endl;
  } else {
    m_description->setFactory(this);
  }
}

CommandFactoryBase::~CommandFactoryBase()
{
  m_description->setFactory(0);
}
