/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#include "programparameterlistitem.h"

ProgramParameterListItem::ProgramParameterListItem(QListView* parent)
  : QListViewItem(parent, parent->lastItem())
{
}

ProgramParameterListItem::~ProgramParameterListItem()
{
}

void ProgramParameterListItem::setParameter(const QString& id)
{
  m_parameter = id;
  update();
}

void ProgramParameterListItem::setSyntax(const QString& syntax)
{
  m_syntax = syntax;
  update();
}

QString ProgramParameterListItem::parameter() const
{
  return m_parameter;
}

QString ProgramParameterListItem::syntax() const
{
  return m_syntax;
}

void ProgramParameterListItem::update()
{
  setText(0, m_parameter);
  setText(1, m_syntax);
}
