/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#ifndef RESULTDIALOG_H
#define RESULTDIALOG_H

// designer includes
#include "resultdialogbase.h"

// forward declarations
namespace WorKflow
{
  class CommandDescription;
  class ResultDescription;
}

class QWidget;

class ResultDialog : public ResultDialogBase
{
  Q_OBJECT

public:
  static bool editResult(QWidget* parent, WorKflow::CommandDescription* cmd, WorKflow::ResultDescription* desc);
  static WorKflow::ResultDescription* newResult(QWidget* parent, WorKflow::CommandDescription* cmd);

public slots:
  virtual void accept();

protected:
  ResultDialog(QWidget* parent, WorKflow::CommandDescription* cmd, WorKflow::ResultDescription* desc);
  ~ResultDialog();

  void init();

protected slots:
  virtual void addType();
  virtual void removeType();
  virtual void slotTypeSelectionChanged();
  virtual void typeUp();
  virtual void typeDown();

private:
  WorKflow::CommandDescription* m_command;
  WorKflow::ResultDescription* m_description;
};

#endif

