/***************************************************************************
 *   Copyright (C) 2006 by Thomas Kadauke                                  *
 *   tkadauke@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,      *
 *   Boston, MA 02110-1301, USA.                                           *
 ***************************************************************************/

#ifndef CORNERWIDGET_H
#define CORNERWIDGET_H

// Qt includes
#include <qwidget.h>

// forward declarations
class QPainter;

namespace WorKflow
{
  /**
   * @author Thomas Kadauke
   */
  class CornerWidget : public QWidget
  {
    Q_OBJECT

  public:
    CornerWidget(QWidget* parent = 0, const char* name = 0);
    ~CornerWidget();

  public slots:
    void setSelected(bool selected);

  protected:
    void drawBackground(QPainter* p, bool left);
    void drawInner(QPainter* p, const QColor& color);
    void drawText(QPainter* p, const QString& text);

    virtual void fontChange(const QFont&);
    virtual void resizeEvent(QResizeEvent*);
  };
}

#endif
